<?php

namespace GriffinForms\Admin\Language;

class Fields extends \GriffinForms\Admin\Language\Lists
{
    private static $instance;

    protected function SelectFieldType()
    {
        return __('Select Field', 'griffinforms-form-builder');
    }

    protected function fieldsListHeading()
    {
        return __('Fields', 'griffinforms-form-builder');
    }

    protected function fieldTypeListHead()
    {
        return __('Type', 'griffinforms-form-builder');
    }

    protected function headingListHead()
    {
        return __('Label', 'griffinforms-form-builder');
    }

    protected function idListHead()          { return __('ID', 'griffinforms-form-builder'); }
    protected function descriptionListHead() { return __('Description', 'griffinforms-form-builder'); }

    protected function addNewField()
    {
        return __('Add New Field', 'griffinforms-form-builder');
    }

    protected function fieldsSearchBtnLabel()
    {
        return __('Search Fields', 'griffinforms-form-builder');
    }

    protected function addField()
    {
        return __('Add Field', 'griffinforms-form-builder');
    }

    protected function reusableFieldFilterLink()
    {
        return __('Reusable', 'griffinforms-form-builder');
    }

    protected function deleteListItemModalHeader()
    {
        return __('Delete Field?', 'griffinforms-form-builder');
    }

    protected function deleteListItemModalText()
    {
        return __('Do you wish to delete this field? This action is irreversible.', 'griffinforms-form-builder');
    }
    
    public static function getInstance()
    {
        if (self::$instance == null)
        {
            self::$instance = new Fields();
        }
        
        return self::$instance;
    }
    
    private function __construct() 
    {
    }
}